<?php
/**********************************************************************

	Released under the terms of the GNU General Public License, GPL,
***********************************************************************/

        
class assets_app extends application
{
	function __construct()
	{
		parent::__construct("asset", _($this->help_context = "&Assets"));

        $this->add_module(_("Transactions"));
        
                $this->add_lapp_function(0, _("Tool &Requests"),"assets/tool_requests.php?", 'SA_TOOL_REQUEST', MENU_TRANSACTION);        
                $this->add_lapp_function(0, _("Asset Transfer Requests"),"assets/asset_transfer_requests.php?", 'SA_ASSET_TRANSFER_REQUEST', MENU_TRANSACTION);        
                $this->add_lapp_function(0, _("Asset Quantity Adjustment &Requests"),"assets/asset_quantity_adjustment_requests.php?", 'SA_ASSET_QUANTITY_ADJUSTMENT_REQUEST', MENU_TRANSACTION);        
                $this->add_lapp_function(0, _("Direct Asset Transfers"),"assets/direct_asset_transfers.php?", 'SA_ASSET_TRANSFER', MENU_TRANSACTION);
                $this->add_lapp_function(0, "","");
                $this->add_lapp_function(0, _("&Stock Asset Transfers"),"assets/stock_asset_transfer_grns.php?sat=1", 'SA_STOCK_ASSET_TRANSFER', MENU_TRANSACTION);
                $this->add_lapp_function(0, "","");
                $this->add_lapp_function(0, _("Outstanding Tool Requests"),"assets/inquiry/outstanding_tool_requests_inquiry.php", 'SA_TOOL_REQUEST_INQ', MENU_TRANSACTION);
                $this->add_lapp_function(0, _("Daily Tool Issue"),"assets/daily_tool_issue.php?NewIssue=0", 'SA_DAILY_TOOL_ISSUE', MENU_TRANSACTION);
                $this->add_lapp_function(0, "","");
                $this->add_lapp_function(0, _("Outstanding Asset Transfer Requests"),"assets/inquiry/asset_transfer_requesitions_inquiry.php", 'SA_TOOL_REQUEST_INQ', MENU_TRANSACTION);
                $this->add_lapp_function(0, _("Outstanding Asset Transfer Issues"),"assets/inquiry/outstanding_asset_transfer_issues_inquiry.php", 'SA_ASSET_TRANSFER_REQUEST_INQ', MENU_TRANSACTION);
                
                $this->add_rapp_function(0, _("&Approve Tool Requests"),"assets/inquiry/approve_tool_request_inquiry.php?", 'SA_TOOL_REQUEST_INQ', MENU_TRANSACTION);
                $this->add_rapp_function(0, _("&Approve Asset Transfer Requests"),"assets/inquiry/approve_asset_transfer_requests_inquiry.php?", 'SA_ASSET_TRANSFER_REQUEST_INQ', MENU_TRANSACTION);
                $this->add_rapp_function(0, _("&Approve Asset Quantity Adjustment Requests"),"assets/inquiry/approve_asset_quantity_adjustment_requests_inquiry.php?", 'SA_ASSET_QUANTITY_ADJUSTMENT_REQUEST_INQ', MENU_TRANSACTION);
                $this->add_rapp_function(0, "","");

                $this->add_rapp_function(0, _('&Calculate Tool Usage Charges'),"assets/calculate_tool_usage_costs.php?", 'SA_CALCULATE_TOOL_USAGE_CHARGES', MENU_TRANSACTION);
                $this->add_rapp_function(0, "","");
                $this->add_rapp_function(0, _('&Asset Depreciation Runs'),"assets/asset_depreciation_run.php?", 'SA_ASSET_DEPRICIATION_RUN', MENU_TRANSACTION);
                $this->add_rapp_function(0, _('Process Asset Depreciation &Run'),"assets/approve_asset_run_calculation.php?", 'SA_PROCESS_ASSET_DEPRICIATION', MENU_TRANSACTION);


        $this->add_module(_("Inquiries and Reports"));

                $this->add_lapp_function(1, _("Tool Requests Inquiry"),"assets/inquiry/tool_requests_inquiry.php", 'SA_TOOL_REQUEST_INQ', MENU_REPORT);
                $this->add_lapp_function(1, _("Tool Issues Inquiry"),"assets/inquiry/tool_issues_inquiry.php", 'SA_TOOL_ISSUE_INQ', MENU_REPORT);
                $this->add_lapp_function(1, _("Tool Returns Inquiry"),"assets/inquiry/tool_returns_inquiry.php", 'SA_TOOL_RETURN_INQ', MENU_REPORT);
                $this->add_lapp_function(1, _("Tool Usage Charges Inquiry"),"assets/inquiry/tool_usage_charges_inquiry.php", 'SA_TOOL_ISSUE_INQ', MENU_REPORT);
                $this->add_lapp_function(1, "","");
                $this->add_rapp_function(1, _("Asset Expense Details Inquiry"),"assets/inquiry/asset_expense_details_inquiry.php", 'SA_ASSET_ANALYTIC', MENU_REPORT);
		$this->add_rapp_function(1, "","");
                $this->add_lapp_function(1, _("Asset Transfer Requests Inquiry"),"assets/inquiry/asset_transfer_requests_inquiry.php", 'SA_ASSET_TRANSFER_REQUEST_INQ', MENU_REPORT);
                $this->add_lapp_function(1, _("Asset Transfers Inquiry"),"assets/inquiry/asset_transfer_inquiry.php", 'SA_ASSET_TRANSFER_INQ', MENU_REPORT);
                $this->add_lapp_function(1, _("Asset Quantity Adjustment Requests Inquiry"),"assets/inquiry/asset_quantity_adjustment_requests_inquiry.php", 'SA_ASSET_QUANTITY_ADJUSTMENT_REQUEST_INQ', MENU_REPORT);
                $this->add_lapp_function(1, _("Asset Quantity Adjustment Inquiry"),"assets/inquiry/asset_quantity_adjustment_inquiry.php", 'SA_ASSET_QUANTITY_ADJUSTMENT_INQ', MENU_REPORT);
                $this->add_lapp_function(1, _("&Daily Tool Issue Inquiry"),"assets/inquiry/daily_tool_issue_inquiry.php?", 'SA_DAILY_TOOL_ISSUES_INQ', MENU_INQUIRY);
                $this->add_lapp_function(1, _("&Daily Tool Return Inquiry"),"assets/inquiry/daily_tool_return_inquiry.php?", 'SA_DAILY_TOOL_RETURNS_INQ', MENU_INQUIRY);

//                $this->add_rapp_function(1, "","");
//                $this->add_rapp_function(1, _("Asset Material Issues Inquiry"),"assets/inquiry/tool_material_issues_inquiry.php", 'SA_SUPPLIER_TRANSPORT_INVOICES_INQ', MENU_REPORT);
                 
                $this->add_rapp_function(1, _("Asset Depreciation Inquiry"),"assets/inquiry/asset_depreciation_inquiry.php", 'SA_ASSET_MOVEMENT_INQ', MENU_REPORT);
                $this->add_rapp_function(1, _("Asset Movements Inquiry"),"assets/inquiry/asset_movements_inquiry.php", 'SA_ASSET_MOVEMENT_INQ', MENU_REPORT);
                $this->add_rapp_function(1, _("Stock Asset Transfers Inquiry"),"assets/inquiry/stock_asset_transfers_inquiry.php", 'SA_STOCK_ASSET_TRANSFER_INQ', MENU_REPORT);
                $this->add_rapp_function(1, _("Outstanding Tool Issue Details Inquiry"),"assets/inquiry/outstanding_tool_issue_details_inquiry.php", 'SA_DAILY_TOOL_ISSUES_INQ', MENU_REPORT);
                
                $this->add_rapp_function(1, "","");
		$this->add_rapp_function(1, _("Asset &Reports"),"reporting/reports_main.php?Class=".RC_ASSETS, 'SA_ASSET_ANALYTIC', MENU_REPORT);

        $this->add_module(_("Maintenance"));

                $this->add_lapp_function(2, _('&Asset Categories'),"assets/manage/asset_categories.php?", 'SA_ASSET_CATEGORIES', MENU_MAINTENANCE);
                $this->add_lapp_function(2, _('&Asset Locations'),"assets/manage/asset_locations.php?", 'SA_ASSET_LOCATIONS', MENU_MAINTENANCE);
                $this->add_lapp_function(2, _('&Asset Groups'),"assets/manage/asset_groups.php?", 'SA_ASSET_GROUPS', MENU_MAINTENANCE);
                $this->add_lapp_function(2, _('&Asset Subgroups'),"assets/manage/asset_subgroups.php?", 'SA_ASSET_GROUPS', MENU_MAINTENANCE);
                $this->add_lapp_function(2, _('&Tool Rates'),"assets/manage/tool_rates.php?", 'SA_TOOL_RATES', MENU_MAINTENANCE);
                $this->add_lapp_function(2, _('&Assets'),"assets/manage/assets.php?", 'SA_ASSET_ENTRY', MENU_MAINTENANCE);
                
                
                $this->add_rapp_function(2, _('Create Asset &Verifications'),"assets/manage/asset_verification_count.php?", 'SA_ASSET_ENTRY', MENU_MAINTENANCE);
                $this->add_rapp_function(2, _('&Maintain Asset Verifications'),"assets/inquiry/search_asset_verification_count.php?", 'SA_ASSET_ENTRY', MENU_MAINTENANCE);
                $this->add_rapp_function(2, _('&Import Asset Verification Count Details'),"assets/manage/import_asset_verification_count_details.php?", 'SA_ASSET_ENTRY', MENU_MAINTENANCE);
                $this->add_rapp_function(2, "","");
                $this->add_rapp_function(2, _('&Import Assets'),"assets/manage/import_assets.php?", 'SA_ASSET_ENTRY', MENU_MAINTENANCE);


		$this->add_extensions();
	}
}


?>